edu.sc.seis.sod.subsetter.availableData

## Class PercentCoverage

- java.lang.Object
- - edu.sc.seis.sod.subsetter.availableData.PercentCoverage

- All Implemented Interfaces:
    SodElement, AvailableDataSubsetter, Subsetter

      public class PercentCoverage
      extends java.lang.Object
      implements AvailableDataSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PercentCoverage(double percentage)`
    `PercentCoverage(org.w3c.dom.Element content)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, CookieJar cookieJar)`
    `boolean` | `accept(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available)`
    `double` | `percentCovered(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PercentCoverage

          public PercentCoverage(org.w3c.dom.Element content)

    - #### PercentCoverage

          public PercentCoverage(double percentage)

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.ChannelImpl channel,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                   CookieJar cookieJar)

      Specified by:
        `accept` in interface `AvailableDataSubsetter`

    - #### accept

          public boolean accept(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available)

    - #### percentCovered

          public double percentCovered(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available)